<?php
/**
 * Controller to handling get survey result
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Get_result' ))
{
    class IPSurv_Ajax_Get_result
    {
        /**
         * Execution get slug process
         *
         * @return void
         */
        public function exec()
        {
            $data     = array_merge( $_POST, $_GET );
            $survey   = false;
            $question = false;
            $model    = new IPSurv_Model_Question();
            if ( ! empty( $data['survey_id'] ))
            {
                $surveyId = absint( $data['survey_id'] );
                $survey   = get_post( $surveyId );
            }
            if ( ! empty( $data['question_id'] ))
            {
                $qtnId    = absint( $data['question_id'] );
                $question = $model->getQuestion( $qtnId );
            }
            if ( ! $survey || ! $question ) {
                echo '';
                die();
            }

            $viewer = new IPSurv_Viewer();
            echo $viewer->surveyResult( $survey, $question );
            die();
        }
    }
}
