<?php
/**
 * Admin manage seo content of survey page
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-section-result" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-trophy"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Result', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'View result of the survey', IPSURV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <div class="ipsurv-survey-results">
        <?php
        $questions = $this->questions;
        $choices   = $this->choices;
        if ( ! empty( $questions ) ) :
        ?>
          <ul class="_results">
            <?php
            foreach( $questions as $question ) :
            ?>
              <li class="_question">
                <a href="#" data-id="<?php echo $question->qtn_id; ?>">
                  <i class="ipsurv-fa ipsurv-fa-question-circle"></i>
                  <?php echo strip_tags( $question->qtn_content ); ?>
                </a>
              </li>
            <?php
            endforeach;
            ?>
          </ul>
        <?php
        endif;
        ?>
      </div>

    </div>
  </div>
</div>
