<?php
/**
 * Widget backend view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$instance = $this->instance;
?>

<div class="ipsurv-appear-widget">
  <div class="_fields">
    <p>
        <label for="<?php echo $this->wp_widget->get_field_name( 'widget' ); ?>"><?php _e( 'Widget:', IPSURV_SLUG ); ?></label>
        <select id="<?php echo $this->wp_widget->get_field_id( 'widget' ); ?>" name="<?php echo $this->wp_widget->get_field_name( 'widget' ); ?>">
            <?php
            if ( $this->widgets )
            {
                $current = absint( $instance['widget'] );
                foreach( $this->widgets as $widget )
                {
                    $selected = '';
                    if ( $current == $widget->ID ) {
                        $selected = ' selected="selected"';
                    }
                    echo '<option' . $selected . ' value="' . $widget->ID .  '">' . $widget->post_title . '</option>';
                }
            }
            ?>
        </select>
    </p>
  </div>
</div>
