<?php
/**
 * Controller to handling delete widget
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Delete_widget' ))
{
    class IPSurv_Ajax_Delete_widget
    {
        /**
         * Execution get slug process
         *
         * @return void
         */
        public function exec()
        {
          $item = false;
          if ( ! empty( $_REQUEST['id'] )) {
              $id   = absint( $_REQUEST['id'] );
              $item = get_post( $id );
          }
          if ( ! $item ) {
              echo json_encode( array(
                  'status'   => 0,
                  'message'  => __( 'Error system', IPSURV_SLUG )
              ) );
              die();
          }
          $result = wp_delete_post( $item->ID, true );
          if ( $result ) {
              echo json_encode( array(
                  'status'   => 1,
                  'message'  => __( 'Widget successfully deleted', IPSURV_SLUG ),
                  'redirect' => admin_url() . 'admin.php?page=wpsurv-widget&delete=1'
              ) );
          } else {
              echo json_encode( array(
                  'status'  => 0,
                  'message' => __( 'Failed to remove the widget', IPSURV_SLUG )
              ) );
          }
          die();
        }
    }
}
