<?php
/**
 * Admin content design
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-section-design" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-paint-brush"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Design', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Set the appearance of survey page', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <h3 class="ipsurv-field-title py10"><?php _e( 'General Style', IPSURV_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields mb20">

      <?php
      $this->view( 'admin/manage/design/general' );
      ?>

    </div>
    <!-- start: .ipsurv-fields -->

    <h3 class="ipsurv-field-title py10"><?php _e( 'Header Style', IPSURV_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields mb20">

      <?php
      $this->view( 'admin/manage/design/header' );
      ?>

    </div>
    <!-- start: .ipsurv-fields -->

    <h3 class="ipsurv-field-title py10"><?php _e( 'Footer Style', IPSURV_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields mb20">

      <?php
      $this->view( 'admin/manage/design/footer' );
      ?>

    </div>
    <!-- start: .ipsurv-fields -->

    <h3 class="ipsurv-field-title py10"><?php _e( 'Content Style', IPSURV_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields mb20">

      <?php
      $this->view( 'admin/manage/design/content' );
      ?>

    </div>
    <!-- start: .ipsurv-fields -->

  </div>
</div>
