<?php
/**
 * Page background
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st     = $this->setting;
$imgurl = false;
if ( $bgimg = $st->getSetting( 'background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}

if ( $imgurl ) :
    $repeat = $st->getSetting( 'background_repeat', 'repeat' );
?>

  <style>
  .ipsurv-survey ._background {
      position: fixed;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      z-index: -1;
      background-image: url('<?php echo $imgurl; ?>');
      background-repeat: <?php echo $repeat; ?>;
      <?php
      if ( $opacity = $st->getSetting( 'background_opacity' )) {
          $value = $opacity/100;
          echo 'opacity:' . $value . ';';
      }
      ?>
  }
  </style>
  <div class="_background"></div>

<?php
endif;
?>
