<?php
/**
 * Survey question finish message
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st  = $this->setting;
$dsp = ' style="display:none;"';
if ( $this->isChoice ) {
    $dsp = '';
}
?>

<div class="_survey-question-step _step _step-finished"<?php echo $dsp; ?>>
  <div class="_step-inner">
    <div class="_step-content _finished">

      <h2 class="_finished-title">
        <?php
        echo $st->getSetting( 'finished_title' );
        ?>
      </h2>

      <?php
      if ( $message = $st->getSetting( 'finished_message' )) {
          echo '<div class="_finished-message">' . $message . '</div>';
      }

      $this->view( 'front/survey/question/share' );
      ?>

    </div>
  </div>
</div>

<?php
if ( $url = $st->getSetting( 'finished_redirect' ) ) :
?>
<div class="_step-finished-redirect" data-url="<?php echo $url; ?>"></div>
<?php
endif;
?>
