<?php
/**
 * Shortcode backend view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-shortcode-modal" class="ipsurv-ui-modal" style="display: none;">
    <div class="ipsurv-ui-modal-main">
        <div id="ipsurv_sceditor_form" class="ipsurv-ui-modal-inner">
            <div class="ipsurv-ui-modal-title">
                <h3><?php _e( 'Insert Survey Widget', IPMTUBE_SLUG ); ?></h3>
                <div class="ipsurv-ui-close">
                    <a class="ipsurv-ui-close-link" href="#">
                      <i class="ipsurv-fa ipsurv-fa-times"></i>
                    </a>
                </div>
            </div>
            <div class="ipsurv-ui-modal-content">
                <form id="ipsurv_scform_form" class="ipsurv-form" action="" method="post">
                <div class="container container-fluid ipsurv-wrap">
                <div class="ipsurv-fields">

                    <div class="ipsurv-field-row ipsurv-field-x">
                        <div class="ipsurv-form-label col-md-3 col-sm-12">
                            <label for="ipsurv-isc-widget"><?php _e( 'Select Survey Widget', IPMTUBE_SLUG ); ?></label>
                        </div>
                        <div class="ipsurv-field col-md-9 col-sm-12">
                            <select id="ipsurv-isc-widget" name="widget">
                                <?php
                                foreach( $this->widgets as $widget )
                                {
                                    echo '<option value="' . $widget->ID .  '">' . $widget->post_title . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipsurv-sc-footer">
                        <div class="ipsurv-button p15">
                            <input type="submit" class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-md" name="ipsurv_scadd_content" id="ipsurv_scadd_content" value="<?php _e( 'Insert Widget', IPMTUBE_SLUG ); ?>" />
                        </div>
                    </div>

                </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>
