<?php
/**
 * Controller to handling delete question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Delete_question' ))
{
    class IPSurv_Ajax_Delete_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();
            
            $question = false;
            if ( ! empty( $_POST['id'] )) {
                $qtnId    = absint( $_POST['id'] );
                $question = $model->getQuestion( $qtnId );
            }
            if ( ! $question ) 
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed removed question.', IPSURV_SLUG )
                ) );
                die();
            }

            //Delete question 
            $result = $model->deleteQuestion( $question->qtn_id );
            
            // Delete answers
            $model->deleteAnswers( $question->qtn_id );

            echo json_encode( array(
                'status'    => 1,
                'message'   => __( 'Successfully removed question.', IPSURV_SLUG )
            ) );
            die();
        }
    }
}
