<?php
/**
 * Survey page main view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

 $st      = $this->setting;
 $bgcolor = $st->getSetting( 'content_background_color', '#ffffff' );
 $color   = $st->getSetting( 'content_color', '#333333' );
 $bowidth = $st->getSetting( 'content_border_width' );
 $bocolor = $st->getSetting( 'content_border_color', '#dddddd' );
 $padtop  = $st->getSetting( 'content_padding_top', '0' );
 $padbot  = $st->getSetting( 'content_padding_bottom', '0' );
 $martop  = $st->getSetting( 'content_margin_top', '0' );
 $marbot  = $st->getSetting( 'content_margin_bottom', '0' );
 //Font
 $font_opt = $st->getSetting( 'content_font_family', 'roboto' );
 $family   = IPSurv_Font::getFamily( $font_opt );
 ?>
 <style>
 .ipsurv-survey ._main {
     background-color: <?php echo $bgcolor; ?>;
     color: <?php echo $color; ?>;
     <?php
     if ( $bowidth ) {
         echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
     }
     ?>
     padding-top: <?php echo $padtop; ?>px;
     padding-bottom: <?php echo $padbot; ?>px;
     margin-top: <?php echo $martop; ?>px;
     margin-bottom: <?php echo $marbot; ?>px;
     font-family: <?php echo $family; ?>;
 }
 </style>

 <?php
 $class  = '_main';
 $class .= ' _main-style-' . $st->getSetting( 'content_style', 1 );
 if ( $radius = $st->getSetting( 'content_border_radius' )) {
     $class .= ' _radius-' . $radius;
 }
 ?>
 <div class="<?php echo $class; ?>">
  <div class="_main-inner">
    <?php
    $this->view( 'front/survey/question' );
    ?>
  </div>
  <div class="_error-message" style="display:none;">
    <?php echo $st->getSetting( 'error_message', 'You must answer the question' ); ?>
  </div>
</div>
