<?php
/**
 * Survey question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
$questions = $this->questions;
?>

<div class="_survey-question">
  <div class="_survey-question-inner">
    <form id="ipsurv-form" class="ipsurv-form" action="" method="post">

      <?php
      if ( ! $this->isChoice ) :

          $this->view( 'front/survey/question/intro' );
      ?>

      <div class="_survey-question-main" style="display:none;">
        <?php
         //
        //Question list
        if ( ! empty( $questions )) {
            foreach( $questions as $question ) {
                $this->question = $question;
                $this->view( 'front/survey/question/item' );
            }
        }
        ?>

        <div class="_survey-question-button">
          <?php
          $btnclass  = '_btn-next-question ipsurv-btn ipsurv-btn-md';
          $btnclass .= ' ipsurv-btn-' . $st->getSetting( 'content_button_style' );
          $btnclass .= ' ipsurv-btn-' . $st->getSetting( 'content_button_style_color' );
          ?>
          <button type="submit" class="<?php echo $btnclass; ?>" name="do_next-question">
            <?php echo $st->getSetting( 'next_button_label', 'Next' ); ?>
          </button>
        </div>
      </div>

      <?php
      endif;
      //End: $this->isChoice

      $this->view( 'front/survey/question/finish' );
      ?>

    </form>
  </div>
</div>
