<?php
/**
 * Admin dashboard view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-dashboard" class="wrap ipsurv-wrap ipsurv-admin">
    <div class="ipsurv-inner">

        <?php
        $this->pageId = 'wpsurv';
        $this->view( 'admin/general/header' );
        ?>

        <div class="ipsurv-main">
            <div class="ipsurv-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipsurv-alert ipsurv-alert-success" style="display: block;">
                    <?php _e( 'Successfully creating new survey.', IPSURV_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipsurv-alert ipsurv-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting survey.', IPSURV_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipsurv-primary">
                <?php
                require_once( IPSURV_LIB . 'tableMain.php' );
                $list = new IPSurv_Table_Main();
                $list->render();
                ?>
            </div>
        </div>

    </div>

</div>
