<?php
/**
 * Page navigation view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipsurv-sidebar">
  <div class="ipsurv-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipsurv-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipsurv-page-menu ipsurv-tab-menu">
      <li>
        <a href="#ipsurv-section-general" class="active">
          <i class="ipsurv-fa ipsurv-fa-cogs"></i>
          <strong><?php _e( 'General', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->survey ) :
      ?>
      <li>
        <a href="#ipsurv-section-content">
          <i class="ipsurv-fa ipsurv-fa-file-text-o"></i>
          <strong><?php _e( 'Content', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipsurv-section-question">
          <i class="ipsurv-fa ipsurv-fa-question-circle"></i>
          <strong><?php _e( 'Questions', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipsurv-section-seo">
          <i class="ipsurv-fa ipsurv-fa-globe"></i>
          <strong><?php _e( 'SEO', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipsurv-section-design">
          <i class="ipsurv-fa ipsurv-fa-paint-brush"></i>
          <strong><?php _e( 'Design', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipsurv-section-share">
          <i class="ipsurv-fa ipsurv-fa-share-alt"></i>
          <strong><?php _e( 'Share', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipsurv-section-result">
          <i class="ipsurv-fa ipsurv-fa-trophy"></i>
          <strong><?php _e( 'Result', IPSURV_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
