<?php
/**
 * Admin dashboard view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-dashboard" class="wrap ipsurv-wrap ipsurv-admin">
    <div class="ipsurv-inner">

        <?php
        $this->pageId = 'wpsurv-widget';
        $this->view( 'admin/general/header' );
        ?>

        <div class="ipsurv-main">
            <div class="ipsurv-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipsurv-alert ipsurv-alert-success" style="display: block;">
                    <?php _e( 'Successfully creating new survey widget.', IPSURV_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipsurv-alert ipsurv-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting survey widget.', IPSURV_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipsurv-primary">

                <div class="_add-button mb30">
                    <?php
                    $link = admin_url() . 'admin.php?page=wpsurv-widget&action=create';
                    ?>
                    <a href="<?php echo $link; ?>" class="ipsurv-btn ipsurv-btn-success ipsurv-btn-sm _add-widget">
                      <i class="ipsurv-fa ipsurv-fa-plus-circle"></i>
                      <?php _e( 'Add New Widget', IPSURV_SLUG ); ?>
                    </a>
                </div>

                <?php
                require_once( IPSURV_LIB . 'tableWidget.php' );
                $list = new IPSurv_Table_Widget();
                $list->render();
                ?>
            </div>
        </div>

    </div>

</div>
