<?php
/**
 * Question intro
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<div class="_survey-question-step _step _step-intro">
  <div class="_step-inner">
    <div class="_step-content _intro">

      <h2 class="_intro-title">
        <?php
        echo $st->getSetting( 'intro_title' );
        ?>
      </h2>

      <?php
      if ( $subtitle = $st->getSetting( 'intro_subtitle' )) {
          echo '<h3 class="_intro-subtitle">' . $subtitle . '</h3>';
      }

      if ( $info = $st->getSetting( 'intro_info' )) {
          echo '<div class="_intro-info ipsurv-content">' . $info . '</div>';
      }
      ?>

      <div class="_intro-button">
        <?php
        $btnclass  = '_btn-start-survey ipsurv-btn ipsurv-btn-md';
        $btnclass .= ' ipsurv-btn-' . $st->getSetting( 'content_button_style' );
        $btnclass .= ' ipsurv-btn-' . $st->getSetting( 'content_button_style_color' );
        ?>
        <button type="submit" class="<?php echo $btnclass; ?>" name="do_start_survey">
          <?php echo $st->getSetting( 'start_button_label', 'Start' ); ?>
        </button>
      </div>

      <?php
      if ( $term = $st->getSetting( 'intro_term' )) {
          echo '<div class="_intro-term">' . $term . '</div>';
      }
      ?>

    </div>
  </div>
</div>
